/*
 * Copyright (c) 2009 Srikalyan Swayampakula.. All rights reserved.
 * 
 *   Author : Srikalyan Swayampakula. .
 *   Name of the File : Param.java .
 *   Created on : Nov 22, 2009 at 4:03:57 PM .
 * 
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 * 
 *  1. Redistributions of source code must retain the above
 *     copyright notice, this list of conditions and the following
 *     disclaimer.
 *  2. Redistributions in binary form must reproduce the above
 *     copyright notice, this list of conditions and the following
 *     disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *  3. Neither the name of the University of Georgia nor the names
 *     of its contributors may be used to endorse or promote
 *     products derived from this software without specific prior
 *     written permission.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 *  CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 *  INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 *  DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 *  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 *  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 *  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 *  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 *  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package edu.uga.cs.lsdis.meteors.wadls;

import java.net.URI;
import java.util.ArrayList;
import java.util.List;
import java.util.Vector;

import javax.wadls.Param;

/**
 *
 * @author Srikalyan Swayampakula.
 */
public class ParamImpl implements Param
{
	
	List<String> optionvalue = new Vector();
    protected String name;
    protected String style;
    protected String id;
    protected String type;
    protected String default1;
    protected String required = "false";
    protected boolean repeation = false;
    protected String fixed;
    protected String path;
    protected String modelreference =null;
    protected String liftingschemamapping=null;
    protected String loweringschemamapping=null;
    
        
    
    public String getModelreference() {
		return modelreference;
	}
    
  	public void setModelreference(String modelreference) {
		this.modelreference = modelreference;
	}

	public String getLiftingschemamapping() {
		return liftingschemamapping;
	}

	public void setLiftingschemamapping(String liftingschemamapping) {
		this.liftingschemamapping = liftingschemamapping;
	}

	public String getLoweringschemamapping() {
		return loweringschemamapping;
	}

	public void setLoweringschemamapping(String loweringschemamapping) {
		this.loweringschemamapping = loweringschemamapping;
	}

	public List<String> getOptionvalue() {
		return optionvalue;
	}

	public void setOptionvalue(List<String> optionvalue) {
		this.optionvalue = optionvalue;
	}

	public ParamImpl()
    {
    }

    public ParamImpl(URI href, String name, String style, String id, String type, String default1, String fixed, String path)
    {
 
      
        this.name = name;
        this.style = style;
        this.id = id;
        this.type = type;
        this.default1 = default1;
        this.fixed = fixed;
        this.path = path;
    }

    public String getDefault1()
    {
        return default1;
    }

    public void setDefault1(String default1)
    {
        this.default1 = default1;
    }



    public String getFixed()
    {
        return fixed;
    }

    public void setFixed(String fixed)
    {
        this.fixed = fixed;
    }


    public String getId()
    {
        return id;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

   
    public String getPath()
    {
        return path;
    }

    public void setPath(String path)
    {
        this.path = path;
    }

    public boolean isRepeation()
    {
        return repeation;
    }

    public void setRepeation(boolean repeation)
    {
        this.repeation = repeation;
    }

    public String getRequired()
    {
        return required;
    }

    public void setRequired(String required)
    {
        this.required = required;
    }

    public String getStyle()
    {
        return style;
    }

    public void setStyle(String style)
    {
        this.style = style;
    }

    public String getType()
    {
        return type;
    }

    public void setType(String type)
    {
        this.type = type;
    }
}
